# salt.states.elasticsearch_index_template

State module to manage Elasticsearch index templates

Added in version 2015.8.0.

Deprecated since version 2017.7.0: Use elasticsearch state instead

salt.states.elasticsearch_index_template.absent(name)

  Ensure that the named index template is absent.

  name

    Name of the index to remove

salt.states.elasticsearch_index_template.present(name, definition)

  Added in version 2015.8.0.

  Changed in version 2017.3.0: Marked `definition` as required.

  Ensure that the named index templat eis present.

  name

    Name of the index to add

  definition

    Required dict for creation parameters as per https://www.elastic.co/guide/en/elasticsearch/reference/current/indices-templates.html

  Example:

      mytestindex2_template:
        elasticsearch_index_template.present:
          - definition:
              template: logstash-*
              order: 1
              settings:
                number_of_shards: 1